View Issue Details

IDProjectCategoryView StatusLast Update
0023236LazarusLazReportpublic2014-03-11 08:14
ReporterScottAssigned ToJesus Reyes 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.2Product Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0023236: LazReport PDF Export Filter not centering images properly
DescriptionWhen exporting a report that has an image and the image is set to centered, the resulting PDF file has the image shifted to the left. (SEE ResultWithout Frame.pdf)

However, in the Report Preview, the image is centered properly. (SEE Preview.jpg)

If you set a border around the image, you can see in the PDF file that the image is outside the frame. (SEE ResultWithFrame.pdf)

I have attached a test project. (SEE Report-Image-Centering-PDF-Export-Problem-Project.zip)
Tagslazreport
Fixed in Revision39238
LazTarget1.2
WidgetsetWin32/Win64
Attached Files

Activities

2012-10-29 01:05

 

Preview.jpg (65,524 bytes)
Preview.jpg (65,524 bytes)

2012-10-29 01:06

 

ResultWithoutFrame.pdf (23,937 bytes)

2012-10-29 01:06

 

ResultWithFrame.pdf (23,976 bytes)

2012-10-29 01:06

 

Report-Image-Centering-PDF-Export-Problem-Project.zip (151,974 bytes)

Issue History

Date Modified Username Field Change
2012-10-29 01:05 Scott New Issue
2012-10-29 01:05 Scott File Added: Preview.jpg
2012-10-29 01:05 Scott Widgetset => Win32/Win64
2012-10-29 01:06 Scott File Added: ResultWithoutFrame.pdf
2012-10-29 01:06 Scott File Added: ResultWithFrame.pdf
2012-10-29 01:06 Scott File Added: Report-Image-Centering-PDF-Export-Problem-Project.zip
2012-10-29 01:06 Scott Tag Attached: lazreport
2012-10-30 20:24 Jesus Reyes Status new => assigned
2012-10-30 20:24 Jesus Reyes Assigned To => Jesus Reyes
2012-11-03 05:06 Jesus Reyes Fixed in Revision => 39238
2012-11-03 05:06 Jesus Reyes LazTarget => 1.2
2012-11-03 05:06 Jesus Reyes Status assigned => resolved
2012-11-03 05:06 Jesus Reyes Fixed in Version => 1.1 (SVN)
2012-11-03 05:06 Jesus Reyes Resolution open => fixed
2012-11-03 05:06 Jesus Reyes Target Version => 1.2.0